/* Copyright (C) 1999-2000 by Peter Eastman

   This program is free software; you can redistribute it and/or modify it under the
   terms of the GNU General Public License as published by the Free Software
   Foundation; either version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT ANY 
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE.  See the GNU General Public License for more details. */

package artofillusion;

/** Exception which is thrown if a StateStack is empty or not deep enough for
  an operation. It is a RuntimeException, so you don't have to catch it.
 
  @author Michael Butscher
  @see UndoManager
 */

public class StateStackException extends RuntimeException
{
}