/* POVTranslator is a Translator which (imports and) exports Povray files. */

/* Copyright (C) 2002 by Norbert Krieg

   This program is free software; you can redistribute it and/or modify it under the
   terms of the GNU General Public License as published by the Free Software
   Foundation; either version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT ANY 
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE.  See the GNU General Public License for more details. */

package artofillusion.translators;

import artofillusion.*;
import java.awt.Frame;

public class POVTranslator implements Translator
{
  public String getName()
  {
    return "Povray V3.5 (.pov)";
  }

  public boolean canImport()
  {
    return false;
  }
  
  public boolean canExport()
  {
    return true;
  }
  
  public void importFile(Frame parent)
  {
  }
  
  public void exportFile(Frame parent, Scene theScene)
  {
      POVExporter.exportFile(parent,theScene);
  }
}
